EDIT - bug #6365

feature request # 6361 (Closed): [MASTER] Merge all TaxonName classes into 1 class

Merge botanical and zoological names into TaxonNameBase
01/21/2017 12:02 PM - Andreas Mller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 6:00 hours
Target version: Release 4.6

Severity: normal Found in Version:

Description

by moving all functionality up, replacing all occurrences of BotanicalName and ZoologicalName in code, adapting cache strategies
and writing validation rules

Related issues:
Copied to EDIT - bug #6446: Merge botanical and zoological names into TaxonNa... Closed

Associated revisions

Revision 8eea91a5 - 01/30/2017 12:24 AM - Andreas Miiller

ref #6365 Move all ZoologicalName attributes up to TaxonNameBase

Revision 18b50091 - 01/30/2017 12:24 AM - Andreas Miiller

ref #6365 replace ZoologicalName factory methods

Revision 0d8c0513 - 01/30/2017 12:24 AM - Andreas Muiller
ref #6365 ref #6360 ref #6364 replace taxon name factory methods

Revision da39aca0 - 01/30/2017 12:24 AM - Andreas Muller

ref #6365 merge static methods from BotanicaName to TaxonNameBase

Revision 6eeff533 - 01/30/2017 12:24 AM - Andreas Mdller

ref #6365 Move zoological parse methods to TaxonNameBase

Revision 42f99e54 - 01/30/2017 01:29 AM - Andreas Miiller

ref #6362 and ref #6365 remove some NVN and Bot/Zoo name occurrences in TaxEditor

Revision 6de1d1c3 - 01/30/2017 01:34 AM - Andreas Miiller
ref #6365 ref #6366 ref 6364 Update CdmModelCacher in TaxEditor

Revision 033fa0b2 - 01/30/2017 10:56 AM - Andreas Miiller

ref #6365 use TaxonNameFactory for zoological names

Revision fe34a%eb - 01/30/2017 11:07 AM - Andreas Miiller

ref #6365 use TaxonNameFactory for botanical names

Revision 5d206¢c8e - 01/30/2017 01:12 PM - Andreas Miiller

ref #6365 use TaxonNameFactory for static parser methods

Revision ded3de15 - 01/30/2017 01:28 PM - Andreas Miiller

ref #6365 use TaxonNameFactory for factory methods in cdmlib-app

Revision e48774bc - 01/30/2017 01:42 PM - Andreas Miiller

ref #6365 use TaxonNameFactory for factory methods in TaxEditor
Revision d7919b1c - 02/03/2017 01:44 PM - Andreas Miiller

ref #6362, ref #6365 remove occurrence of NonViralName, BotanicalName, ZoologicalName and others

Revision 7d882578 - 02/04/2017 10:46 AM - Andreas Miiller

ref #6362, ref #6365 remove occurrences of NonViralName, BotanicalName and ZoologicalName in cdmlib-app

Revision 6ecf5e6f - 02/26/2017 10:04 PM - Andreas Miiller

ref #6365 remove BotanicalName from IPNI service

Revision 179cb21f - 03/15/2017 11:51 AM - Andreas Miiller

ref #6365 adapt BotanicalNames in pesi test to new structure

History

#1 - 01/21/2017 12:02 PM - Andreas Miiller

- Tags set to validation

#2 - 01/21/2017 12:03 PM - Andreas Miiller
- Parent task set to #6361

#3 - 01/27/2017 01:10 AM - Andreas Miiller
- Status changed from New to In Progress
- Target version changed from Unassigned CDM tickets to Release 4.6

- % Done changed from 0 to 20

#4 - 01/27/2017 05:29 PM - Andreas Miiller
- Priority changed from New to Highest
- Target version changed from Release 4.6 to COM UML 4.7

moving "anamorphic" requires an update script.

#5 - 01/28/2017 01:05 AM - Andreas Miiller
- % Done changed from 20 to 40

#6 - 01/30/2017 01:31 PM - Andreas Miiller
- % Done changed from 40 to 80

#7 - 01/30/2017 01:44 PM - Andreas Miiller
- % Done changed from 80 to 90

#8 - 03/01/2017 02:29 PM - Andreas Miiller

- Copied to bug #6446: Merge botanical and zoological names into TaxonNameBase in external applications added

#9 - 03/01/2017 02:31 PM - Andreas Miiller
- Status changed from In Progress to Closed

- Target version changed from CDM UML 4.7 to Release 4.6

We close this. The remaining tasks will be done when really merging everything.

External applications will be handled in follow up #6446

#10 - 03/13/2017 10:07 PM - Andreas Miiller
- % Done changed from 0 to 90

#11 - 06/05/2017 09:49 AM - Andreas Miiller
- % Done changed from 90 to 100
https://dev.e-taxonomy.eu/redmine/issues/6446
http://www.tcpdf.org

